summaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-06-13 04:36:56 +0000
committer Eric Hameleers <alien@slackware.com>2019-06-13 17:59:55 +0200
commitefc2c592c6b9e41e17af665625cc4c6e5fe86076 (patch)
tree4378ba132cd728a33789c244f3dc17e736ac3c63 /testing
parent4164e53472bbb79e7b4052eacf2e7a20ce1d04d1 (diff)
downloadcurrent-efc2c592c6b9e41e17af665625cc4c6e5fe86076.tar.gz
current-efc2c592c6b9e41e17af665625cc4c6e5fe86076.tar.xz
Thu Jun 13 04:36:56 UTC 201920190613043656
a/less-551-x86_64-1.txz: Upgraded. l/babl-0.1.66-x86_64-1.txz: Upgraded. xap/gimp-2.10.12-x86_64-1.txz: Upgraded. testing/packages/mesa-19.1.0-x86_64-1.txz: Added.
Diffstat (limited to 'testing')
-rw-r--r--testing/source/mesa/README.GIT16
-rw-r--r--testing/source/mesa/doinst.sh17
-rwxr-xr-xtesting/source/mesa/get-mesa.sh20
-rw-r--r--testing/source/mesa/glesv2.pc10
-rwxr-xr-xtesting/source/mesa/mesa.SlackBuild199
-rw-r--r--testing/source/mesa/mesa.url2
-rw-r--r--testing/source/mesa/slack-desc19
7 files changed, 283 insertions, 0 deletions
diff --git a/testing/source/mesa/README.GIT b/testing/source/mesa/README.GIT
new file mode 100644
index 000000000..4e79f374c
--- /dev/null
+++ b/testing/source/mesa/README.GIT
@@ -0,0 +1,16 @@
+Anonymous git Access
+
+ To get the Mesa sources anonymously (read-only):
+
+ 1. Install the git software on your computer if needed.
+
+ 2. Get an initial, local copy of the repository with:
+
+ git clone git://anongit.freedesktop.org/git/mesa/mesa
+
+
+ 3. Later, you can update your tree from the master repository with:
+
+ git pull origin
+
+
diff --git a/testing/source/mesa/doinst.sh b/testing/source/mesa/doinst.sh
new file mode 100644
index 000000000..d6297d692
--- /dev/null
+++ b/testing/source/mesa/doinst.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+# Don't mess with /etc/drirc. Mesa now installs the defaults as
+# /usr/share/drirc.d/00-mesa-defaults.conf. We won't protect that
+# as a .new file as it shouldn't be modified. Create /etc/drirc if
+# you need local overrides.
+#config etc/drirc.new
diff --git a/testing/source/mesa/get-mesa.sh b/testing/source/mesa/get-mesa.sh
new file mode 100755
index 000000000..b88329984
--- /dev/null
+++ b/testing/source/mesa/get-mesa.sh
@@ -0,0 +1,20 @@
+# Pull a stable branch + patches
+BRANCH=7.10
+
+rm -rf mesa
+git clone git://anongit.freedesktop.org/git/mesa/mesa
+# package the source archive and clean up:
+( cd mesa
+ git checkout $BRANCH || exit 1
+)
+HEADISAT="$(cat mesa/.git/packed-refs | grep "refs/remotes/origin/${BRANCH}$" | cut -b1-7)"
+# Cleanup. We're not packing up the whole git repo.
+( cd mesa && find . -type d -name ".git*" -exec rm -rf {} \; 2> /dev/null )
+DATE=$(date +%Y%m%d)
+mv mesa mesa-${BRANCH}_${HEADISAT}
+tar cf mesa-${BRANCH}_${HEADISAT}.tar mesa-${BRANCH}_${HEADISAT}
+xz -9 mesa-${BRANCH}_${HEADISAT}.tar
+rm -rf mesa-${BRANCH}_${HEADISAT}
+echo
+echo "Mesa branch $BRANCH with HEAD at $HEADISAT packaged as mesa-${BRANCH}_${HEADISAT}.tar.xz"
+echo
diff --git a/testing/source/mesa/glesv2.pc b/testing/source/mesa/glesv2.pc
new file mode 100644
index 000000000..7af1555b1
--- /dev/null
+++ b/testing/source/mesa/glesv2.pc
@@ -0,0 +1,10 @@
+prefix=/usr
+libdir=${prefix}/lib64
+includedir=${prefix}/include
+
+Name: glesv2
+Description: Mesa OpenGL ES 2.0 library
+Version: 19.1.0
+Libs: -L${libdir} -lGLESv2
+Libs.private: -lpthread -pthread -lm -ldl
+Cflags: -I${includedir}
diff --git a/testing/source/mesa/mesa.SlackBuild b/testing/source/mesa/mesa.SlackBuild
new file mode 100755
index 000000000..87a2178cd
--- /dev/null
+++ b/testing/source/mesa/mesa.SlackBuild
@@ -0,0 +1,199 @@
+#!/bin/bash
+
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2013, 2014, 2015, 2016, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=mesa
+VERSION=${VERSION:-$(echo $PKGNAM-1*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+DEMOVERS=${DEMOVERS:-8.4.0}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+# Be sure this list is up-to-date:
+DRI_DRIVERS="i915,i965,r100,r200,nouveau"
+GALLIUM_DRIVERS="nouveau,r300,r600,svga,radeonsi,swrast,virgl"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-mesa
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf ${PKGNAM}-${VERSION}
+
+tar xvf $CWD/${PKGNAM}-${VERSION}.tar.xz || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
+
+# Let's kill the warning about operating on a dangling symlink:
+rm -f src/gallium/state_trackers/d3d1x/w32api
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Apply patches from git (and maybe elsewhere):
+# Patches obtained by:
+# git checkout origin/17.2
+# git format-patch 93c2beafc0a7fa2f210b006d22aba61caa71f773 # 17.2.6 release
+if /bin/ls $CWD/patches/*.patch 1> /dev/null 2> /dev/null ; then
+ for patch in $CWD/patches/*.patch ; do
+ patch -p1 < $patch || exit 1 ;
+ done
+fi
+
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
+ --prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ -Dplatforms=x11,drm,surfaceless \
+ -Dgallium-opencl=icd \
+ -Dgallium-nine=true \
+ -Dosmesa=gallium \
+ -Ddri-drivers=$DRI_DRIVERS \
+ -Dgallium-drivers=$GALLIUM_DRIVERS \
+ -Ddri-drivers-path=/usr/lib${LIBDIRSUFFIX}/xorg/modules/dri \
+ -Dglvnd=true \
+ -Dllvm=true \
+ -Dshared-llvm=true \
+ -Dshared-glapi=true \
+ -Degl=true \
+ -Dgles1=false \
+ -Dgles2=true \
+ .. || exit 1
+ ninja || exit 1
+ DESTDIR=$PKG ninja install || exit 1
+cd ..
+
+# Install /etc/drirc as a .new file:
+if [ -r $PKG/etc/drirc ]; then
+ mv $PKG/etc/drirc $PKG/etc/drirc.new
+fi
+
+# Install glesv2.pc:
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
+cat $CWD/glesv2.pc > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/glesv2.pc
+if [ ! "${LIBDIRSUFFIX}" = "64" ]; then
+ sed -i "s/lib64/lib/g" $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/glesv2.pc
+fi
+
+# Now build/install a small subset of the demos:
+export CWD SLKCFLAGS NUMJOBS PKG
+( cd $TMP
+ rm -rf mesa-demos-$DEMOVERS
+ tar xvf $CWD/mesa-demos-$DEMOVERS.tar.?z* || exit 1
+ cd mesa-demos-$DEMOVERS
+ chown -R root:root .
+ find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+ CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux || exit 1
+ make $NUMJOBS || exit 1
+ # Install all the demos (including the pointless ones) at first, in a
+ # temporary location:
+ make install DESTDIR=$PKG/cruft || exit 1
+ # Install gears and glinfo, as well as a few other demos:
+ mkdir -p $PKG/usr/bin
+ for demo in gears glinfo glthreads glxcontexts glxdemo glxgears \
+ glxgears_fbconfig glxheads glxinfo glxpbdemo glxpixmap ; do
+ mv --verbose $PKG/cruft/usr/bin/$demo $PKG/usr/bin
+ done
+ # Remove cruft:
+ rm -rf $PKG/cruft
+) || exit 1
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+ rm -f $PKG/usr/info/dir
+ gzip -9 $PKG/usr/info/*
+fi
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/html
+cp -a \
+ docs/COPYING* docs/relnotes/${VERSION}.html docs/README* docs/GL* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a docs/*.html $PKG/usr/doc/$PKGNAM-$VERSION/html
+rm -f $PKG/usr/doc/$PKGNAM-$VERSION/html/relnotes*.html
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/testing/source/mesa/mesa.url b/testing/source/mesa/mesa.url
new file mode 100644
index 000000000..3f30cc843
--- /dev/null
+++ b/testing/source/mesa/mesa.url
@@ -0,0 +1,2 @@
+ftp://ftp.freedesktop.org/pub/mesa/
+ftp://ftp.freedesktop.org/pub/mesa/demos/
diff --git a/testing/source/mesa/slack-desc b/testing/source/mesa/slack-desc
new file mode 100644
index 000000000..32a085fb4
--- /dev/null
+++ b/testing/source/mesa/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mesa: mesa (a 3-D graphics library)
+mesa:
+mesa: Mesa is a 3-D graphics library with an API very similar to that of
+mesa: another well-known 3-D graphics library. :-) The Mesa libraries are
+mesa: used by X to provide both software and hardware accelerated graphics.
+mesa:
+mesa: Mesa was written by Brian Paul.
+mesa:
+mesa:
+mesa:
+mesa: